=== modified file 'examples/py3-project/sha3sum.py'
--- examples/py3-project/sha3sum.py	2015-07-14 12:23:46 +0000
+++ examples/py3-project/sha3sum.py	2015-07-15 09:55:27 +0000
@@ -1,10 +1,7 @@
 #!/usr/bin/env python3
 
-import os.path
 import sys
 
-
-sys.path.insert(0, os.path.join(os.path.dirname(__file__), "lib", "python3.4", "site-packages"))
 import spongeshaker.sha3
 
 

=== modified file 'plugins/python3-project.yaml'
--- plugins/python3-project.yaml	2015-07-13 08:28:40 +0000
+++ plugins/python3-project.yaml	2015-07-15 09:41:49 +0000
@@ -1,6 +1,6 @@
 module: python3_project
-#requires:
-#  - python3
+requires:
+  - python3
 options:
   source:
     required: true

=== added file 'plugins/python3.yaml'
--- plugins/python3.yaml	1970-01-01 00:00:00 +0000
+++ plugins/python3.yaml	2015-07-15 09:41:49 +0000
@@ -0,0 +1,1 @@
+module: python3

=== added file 'snapcraft/plugins/python3.py'
--- snapcraft/plugins/python3.py	1970-01-01 00:00:00 +0000
+++ snapcraft/plugins/python3.py	2015-07-15 09:41:49 +0000
@@ -0,0 +1,43 @@
+# -*- Mode:Python; indent-tabs-mode:nil; tab-width:4 -*-
+#
+# Copyright (C) 2015 Canonical Ltd
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 3 as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+import os
+import snapcraft
+from snapcraft.plugins.ubuntu import UbuntuPlugin
+
+
+class Python3Plugin(snapcraft.BasePlugin):
+
+    def __init__(self, name, options):
+        super().__init__(name, options)
+        class Py3Options:
+            package = "python3"
+        self.ubuntu = UbuntuPlugin(name, Py3Options())
+
+    def env(self, root):
+        return [
+            "PATH=%s/usr/bin:$PATH" % root,
+            "PYTHONHOME=%s/usr/" % root,
+        ]
+
+    def pull(self):
+        return self.ubuntu.pull()
+
+    def build(self):
+        return self.ubuntu.build()
+
+    def snapFiles(self):
+        return self.ubuntu.snapFiles()

=== modified file 'snapcraft/plugins/python3_project.py'
--- snapcraft/plugins/python3_project.py	2015-07-14 11:31:23 +0000
+++ snapcraft/plugins/python3_project.py	2015-07-15 09:45:08 +0000
@@ -24,8 +24,5 @@
 
     def build(self):
         return self.run(
-            ["python3", "setup.py", "install", "--prefix=%s" % self.installdir])
-
-    def run(self, cmd, **kwargs):
-        cmd = ['env', 'PYTHONPATH=' + self.builddir] + cmd
-        return super().run(cmd, **kwargs)
+            ["python3", "setup.py", "install", "--install-layout=deb",
+             "--prefix=%s/usr" % self.installdir])

